﻿Imports WeinigCrmWeb.CrmSdk

Public Class frmSuchen
   Inherits System.Web.UI.Page

   Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
      Try
         Me.lblUsername.Text = clsUserDataManager.getAktUser.Username
      Catch ex As Exception
         Stop
      End Try
   End Sub
   Protected Sub btnSucheStarten_Click(sender As Object, e As EventArgs) Handles btnSucheStarten.Click
      ' Zweck:    Suche durchführen
      Try
         Dim Sortierbegriff As String = Nothing
         Dim Kundennummer As String = Nothing
         Dim Name1 As String = Nothing
         Dim PLZ As String = Nothing
         Dim Ort As String = Nothing
         Dim Land As String = Nothing

         If Me.txtSuchfeld.Text IsNot Nothing AndAlso Me.txtSuchfeld.Text <> String.Empty Then
            ' Suchfeld aufsplitten
         Else
            Sortierbegriff = Me.txtSortierbegriff.Text
            Kundennummer = Me.txtKundennummer.Text
            Name1 = Me.txtName1.Text
            PLZ = Me.txtPLZ.Text
            Ort = Me.txtOrt.Text
            Land = Me.txtLand.Text
         End If

         ' Firmen suchen
         Me.dsFirmen.SelectParameters("Sortierbegriff").DefaultValue = Sortierbegriff
         Me.dsFirmen.SelectParameters("Kundennummer").DefaultValue = Kundennummer
         Me.dsFirmen.SelectParameters("Name1").DefaultValue = Name1
         Me.dsFirmen.SelectParameters("PLZ").DefaultValue = PLZ
         Me.dsFirmen.SelectParameters("Ort").DefaultValue = Ort
         Me.dsFirmen.SelectParameters("Land").DefaultValue = Land
         Me.dsFirmen.Select()

         ' Aufträge suchen
         Me.dsAuftraege.SelectParameters("Auftragsnummer").DefaultValue = Me.txtAuftrag.Text
         Me.dsAuftraege.Select()
      Catch ex As Exception
         Stop
      Finally
      End Try
   End Sub

   Private Sub gridFirma_RowDataBound(sender As Object, e As System.Web.UI.WebControls.GridViewRowEventArgs) Handles gridFirma.RowDataBound
      ' Zweck:    Für die aktuelle Zeile im Ergebnisgrid der Firmen ein onclick-Ereignis registrieren, um die Firma im CRM anzuzeigen.
      Try
         'e.Row
         If e.Row.RowType = DataControlRowType.DataRow Then
            Dim aktFirma As clsFirma = CType(e.Row.DataItem, clsFirma)
            'e.Row.Attributes.Add("OnClick", "ServiceaktivitätenAnzeigen('Firma', '" & aktFirma.FirmenId.ToString & "')")
            e.Row.Attributes.Add("OnDblClick", "FensterOeffnen('Firma', '" & aktFirma.FirmenId.ToString & "')")
         End If
      Catch ex As Exception
         Stop
      End Try
   End Sub
   'Private Sub gridAufträge_RowDataBound(sender As Object, e As System.Web.UI.WebControls.GridViewRowEventArgs) Handles gridAufträge.RowDataBound
   '   ' Zweck:    Für die aktuelle Zeile im Ergebnisgrid der Aufträge ein onclick-Ereignis registrieren, um den Auftrag im CRM anzuzeigen.
   '   Try
   '      If e.Row.RowType = DataControlRowType.DataRow Then
   '         Dim aktAuftrag As clsAuftrag = CType(e.Row.DataItem, clsAuftrag)
   '         e.Row.Attributes.Add("onclick", "FensterOeffnen('Auftrag', '" & aktAuftrag.Id.ToString & "')")
   '      End If
   '   Catch ex As Exception
   '      Stop
   '   End Try
   'End Sub

End Class